This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 840185 - tmpfiles configuration file in wrong directory
tmpfiles configuration file in wrong directory
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 03:40 EDT by Eric Smith
Modified: 2012-12-06 06:03 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 06:03:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-14 03:40:14 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  Putting a configuration file in /etc/tmpfiles.d is a violation of the Fedora tmpfiles packaging guidelines and contrary to the intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Peter Rajnoha 2012-07-14 17:39:57 EDT
Yes, this should be fixed, thanks for the report.
Comment 3 Peter Rajnoha 2012-12-06 06:03:40 EST
Fixed in F18+ (lvm2-2.02.97-1.fc18 and higher).

Note You need to log in before you can comment on or make changes to this bug.